fann_set_activation_steepness_hidden
fann_set_activation_steepness_output
Fann Functions
PHP Manual

# fann_set_activation_steepness_layer

(PECL fann >= 1.0.0)

fann_set_activation_steepness_layer — Sets the activation steepness for all of the neurons in the supplied layer number

### Description

bool fann_set_activation_steepness_layer ( resource `$ann` , float `$activation_steepness` , int `$layer` )

Set the activation steepness for all of the neurons in layer number layer, counting the input layer as layer 0.

It is not possible to set activation steepness for the neurons in the input layer.

### Parameters

`ann`

  Neural network resource.

`activation_steepness`

  The activation steepness.

`layer`

  Layer number.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_set_activation_steepness() - Sets the activation steepness for supplied neuron and layer number
- fann_set_activation_steepness_hidden() - Sets the steepness of the activation steepness for all neurons in the all hidden layers
- fann_set_activation_steepness_output() - Sets the steepness of the activation steepness in the output layer
- fann_get_activation_steepness() - Returns the activation steepness for supplied neuron and layer number
- fann_set_activation_function() - Sets the activation function for supplied neuron and layer

fann_set_activation_steepness_hidden
fann_set_activation_steepness_output
Fann Functions
PHP Manual